# Biome Lords Quest

## Introduction
After the triumphant victory over Odin's enemies, a new challenge looms on the horizon: the hidden biome lords. These elusive and formidable beings, each with their own unique powers, await courageous adventurers ready to embark on a quest of epic proportions. Braving treacherous landscapes and engaging in thrilling battles, those who emerge victorious shall be rewarded with an ancient relic with unimaginable power, forever etching their names into the annals of legend.

## Mod Guide
More information about the Biome Lords Quest mod on its dedicated webpage: https://www.taegukgaming.online/biome-lords-quest

## Manual Installation
- Download the mod and place the dll file in your plugins folder.
Make sure to follow the installation instructions.
- BepInEx - https://valheim.thunderstore.io/package/denikson/BepInExPack_Valheim/

## Links
- Website: https://www.taegukgaming.online/
- Discord Channel: https://discord.gg/ZUEBzqSaVr
- Support Taeguk Gaming: https://www.patreon.com/taegukgaming

<details>
  <summary><b><span style="color:cyan;font-weight:200;font-size:20px">
    Patchnotes
</span></b></summary>

| Version Number | Change(s)        |
|:---------------|:-----------------|
| v1.1.5         | - Extended Whisper spawn interval from 600 to 1200 seconds and reduced spawn chance from 10% to 5%. |
| v1.1.4         | - Reduced spawn chance of biome lords to lessen continues spawning right after death.<br> - Added movement damage on Troll Warrior.<br> - Added new attacks on Troll Warriors (melee and log). These new attacks will only destroy trees and rocks in a wide range to clear its path while trying to chase you. |
| v1.1.3         | - More rebalancing on Queen Deathsquito and Wild Lightning Wolf attacks to match Vanilla.<br> - Set Wild Lightning Wolf attacks to be dodgeable and blockable (this was an overlook)<br> - Added spawn message to each creature<br><b>Note: You will need to delete your current config file to apply update changes<b> |
| v1.1.2         | - Overhauled attack damage and health values of all creatures. They are now Vanilla friendly.<br> - Renamed attack names on config file for easier identification. Look for damage values of each and modify as desired. Creature config options remained unavailable. |
| v1.1.1         | - Fixed biome lords spawn bug. They should should spawn now according to the riddles. Thanks to majesticunicorn5399 feedback.<br> - Adjusted Lightning Wolf collider.<br> - Set all biome lords despawn distance from 50 to 80 to avoid despawning immediately after spawn at times.<br> - Reduced spawn intervals of biome lords from 5 to 2 minutes. Note that they may not spawn right away, you will have to wait for around 2 minutes as soon as the right weather triggers in their respective biome.<br> - Increased Lightning Wolf normal attack damage. <br> - Reduced Queen Deathsquito attack damage.<br> - Fixed Whisper required weather to spawn. This was an overlooked. (Sorry XD) |
| v1.1.0         | - Update for Valheim 0.216.9<br> - Fixed null reference errors on some attacks.<br> - Fixed particles on items.<br> - Removed attack force on Greydwarf Elder and Whisper melee attacks.<br> - Reduced damage and attack force of Deathsquito larvaes.<br> - Fixed other vfx errors.<br> - Adjusted creature colliders.<br> - Adjusted Troll Warrior log attacks, Greydwarf Melee attacks time intervals.<br> - Adjusted Greydwarf attack angle. |
| v1.0.1         | Fixed readme title. |
| v1.0.0         | Release Version. |

</details>